## ros-noetic-industrial-robot-client 0.7.3

=== debian/changelog ===
ros-noetic-industrial-robot-client (0.7.3-1buster) buster; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 14 Jul 2021 22:00:00 -0000

ros-noetic-industrial-robot-client (0.7.2-1buster) buster; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * always send trajectory stop request (#260 <https://github.com/ros-industrial/industrial_core/issues/260>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * mark as arch independent (#248 <https://github.com/ros-industrial/industrial_core/issues/248>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Joseph Schornak, Josh Langsfeld, ipa-nhg, Sean Yen, Simon Schmeisser, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 27 Jun 2021 22:00:00 -0000

ros-noetic-industrial-robot-client (0.7.1-1buster) buster; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Add namespacing to all ``joint_trajectory_action`` log messages (#192 <https://github.com/ros-industrial/industrial_core/issues/192>)
  * Correct off-by-one on debug output (#229 <https://github.com/ros-industrial/industrial_core/issues/229>)
  * Contributors: Dave Coleman, Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 18 Sep 2019 22:00:00 -0000

ros-noetic-industrial-robot-client (0.7.0-1buster) buster; urgency=high

  * Decrease idle wait time.  250 ms is too slow. Fix #214 <https://github.com/ros-industrial/industrial_core/issues/214>.
  * robot_client: add roslaunch testing. Fix #208 <https://github.com/ros-industrial/industrial_core/issues/208>.
  * Removed robot_state_visualization.launch, as that would introduce a dependency on rviz. Fix ros-industrial/ros_industrial_issues#50 <https://github.com/ros-industrial/ros_industrial_issues/issues/50>.
  * robot_client: add missing dependency on RSP. Fix #209 <https://github.com/ros-industrial/industrial_core/issues/209>.
  * Updated the libraries install tags- follow the official documentation. Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>.
  * Added missed test dependencies to rosunit. Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>.
  * Using the 'doc' attribute on 'arg' elements. Added doc strings to all launch file args.
  * Merge branch 'kinetic-devel' into urdfdom_headers_fix
  * robot_client: make indenting consistent.
  * client: build unit tests conditionally
  * Contributors: Dmitry Rozhkov, G.A. vd. Hoorn, Harsh Deshpande, Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 11 Feb 2019 23:00:00 -0000

ros-noetic-industrial-robot-client (0.6.0-1buster) buster; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 23:00:00 -0000

ros-noetic-industrial-robot-client (0.5.1-1buster) buster; urgency=high

  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * industrial_robot_client: Fix signature of goal and cancel callbacks.
  * Contributors: Alberto Marini, Maarten de Vries

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 14 Jan 2017 23:00:00 -0000

ros-noetic-industrial-robot-client (0.5.0-1buster) buster; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Forces the action to wait for half of the duration of the trajectory
    before it begins to check for completition. This prevents the action
    for returning immediately for trajectories that end near the start
    point and are slow to start moving.
  * Merge pull request #115 <https://github.com/shaun-edwards/industrial_core/issues/115> from Jmeyer1292/issue#114 <https://github.com/Jmeyer1292/issue/issues/114>`__start_tolerance_check Issue`#114 <https://github.com/shaun-edwards/industrial_core/issues/114> - Action Server withinGoalConstraints check removal
  * Revert "Revert "Merge pull request #113 <https://github.com/shaun-edwards/industrial_core/issues/113> from simonschmeisser/indigo""
    This reverts commit fb28e26fdbd3c316941d4d66af2f1c9b5410cb0d.
  * Removed withinTolerance check from the accept function
  * Contributors: Jonathan Meyer, Shaun Edwards, Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Feb 2016 23:00:00 -0000

ros-noetic-industrial-robot-client (0.4.3-1buster) buster; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Contributors: Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 06 Feb 2016 23:00:00 -0000

ros-noetic-industrial-robot-client (0.4.2-1buster) buster; urgency=high

  * Forces the action to wait for half of the duration of the trajectory
    before it begins to check for completition. This prevents the action

